package com.project.survey.logic.event

import androidx.annotation.Keep
import java.text.SimpleDateFormat
import java.util.*

@Keep
data class Message @JvmOverloads constructor(
    var msg: String = "",
    var arg1: Int = 0,
    var arg2: Int = 0,
    var obj: Any? = null
) {
    var time: String = SimpleDateFormat.getTimeInstance().format(Date())
}