package com.project.survey.logic.viewmodel

import blankj.utilcode.util.AppUtils
import com.bingce.AppChannel
import com.bingce.utils.AppUtil
import com.bingce.utils.RegisterUtil
import com.bingce.utils.SdkUtils
import com.project.survey.App
import com.project.survey.network.RetrofitClient

class MainViewModel : BaseViewModel() {

    val api = RetrofitClient.createApiService()


    fun verifySdk(){
        launch {
            SdkUtils.verify(
                App.instance.applicationContext,
                "sxshy",
                AppUtil.getLanguage(),
                AppUtils.getAppVersionCode().toLong(),
                AppChannel.customChannel,
                RegisterUtil.getOriginalMachineCode(),
                RegisterUtil.getDeviceBoundID(),
                "",
                "",
                "",
                ""
            )
        }
    }

}