package com.project.survey.model

import androidx.annotation.Keep

/**
 * {
 *         "BD_KZWZBCG_ID": "b8e1383a895946c791f2fa7606837b52",
 *         "BD_KZW_ID": "22a57e0db20249f39cffe2034cfffe5e",
 *         "KZW_TYPE_NAME": "",
 *         "KZW_MEASUREMENTTIME": "",
 *         "KZWZBCG_BZ": "",
 *         "version_array": "2024102806,2024102807",
 *         "KZW_MEASUREMENTLEVEL": "1",
 *         "$TABLE_CODE$": null,
 *         "KZWZBCG_POINTNAME": "555",
 *         "BD_XMXX_ID": "xYgALS4VOJ0vDrEVUcQ",
 *         "KZW_NAME": "专用"
 *       }
 *
 *       //控制点详情
 *   {
 *           "SY_MODIFYORGID": null,
 *           "KZW_TYPE_CODE": "02",
 *           "SY_MODIFYTIME": null,
 *           "SY_COMPANY_ID": "V1R0gp2zJ3SvGFNvJdM",
 *           "SY_CREATEUSERNAME": "管理员",
 *           "BD_KZWZBCG_ID": "13365023de99403b9a07fdf8079d72c7",
 *           "SY_ORDERINDEX": 1,
 *           "KZWZBCG_BZ": "备注二",
 *           "SY_MODIFYUSERID": null,
 *           "SY_GROUP_COMPANY_NAME": "",
 *           "SY_COMPANY_NAME": "某某公司",
 *           "KZWZBCG_XCOORDINATE": "11.25",
 *           "BD_XMXX_ID": null,
 *           "KZW_NAME": "专用",
 *           "SY_CREATEORGID": "XX5DVbDl1Jl7FDtJJtX",
 *           "SY_STATUS": null,
 *           "SY_CREATEUSERID": "116d15ddbe62412aa32aafb5dc8f13bb",
 *           "KZW_TYPE_NAME": null,
 *           "SY_GROUP_COMPANY_ID": "",
 *           "SY_MODIFYORGNAME": null,
 *           "SY_CREATETIME": "2024-09-11",
 *           "SY_CREATEORGNAME": "系统管理部",
 *           "BD_KZW_ID": "53ed633f946545aa836160fd30f3c2a2",
 *           "SY_ORG_ID": "systemdepartment",
 *           "KZW_MEASUREMENTTIME": null,
 *           "KZWZBCG_YCOORDINATE": "21.56",
 *           "SY_MODIFYUSERNAME": null,
 *           "KZWZBCG_VERSION": null,
 *           "KZWZBCG_HCOORDINATE": "6.36",
 *           "KZWZBCG_POINTNAME": "点位二"
 *         }
 */
@Keep
data class ControlNetworkBean(
    val KZW_NAME: String, //	控制网名称
    val KZW_TYPE_NAME: String, //控制网类型_name
    val KZW_MEASUREMENTTIME: String, //	施测时间

    // 控制点详情里的字段
    val KZWZBCG_POINTNAME: String, //点名称
    val KZWZBCG_XCOORDINATE: String, //x
    val KZWZBCG_YCOORDINATE: String, //y
    val KZWZBCG_HCOORDINATE: String, //h
    val KZWZBCG_BZ: String, //备注

)
