package com.project.survey.model

import androidx.annotation.Keep

@Keep
data class LoftingPointListBean(
    val values: LoftingPointBean
)

/**
 * {
 *      "ZBSJ_FYZB_X": 111,
 *      "ZBSJ_FYZB_Y": 111,
 *      "ZBSJ_FYZB_Z": 111,
 *      "SY_COMPANY_ID": "V1R0gp2zJ3SvGFNvJdM",
 *      "SY_CREATEUSERNAME": "齐恒（施工1-1）",
 *      "ZBSJ_D_NAME": "p1",
 *      "SY_ORDERINDEX": null,
 *      "BD_ZYLBMX_ID": "98c1f946603c421a834c9f5f2df5e51b",
 *      "SY_GROUP_COMPANY_NAME": "",
 *      "SY_COMPANY_NAME": "某某公司",
 *      "BD_XMXX_ID": "xYgALS4VOJ0vDrEVUcQ",
 *      "SY_CREATEORGID": "oOBheA6LJhZBgr3GKrP",
 *      "BD_ZYLB_ID": "9af7f594dfff4ab2b66a330873a17a19",
 *      "SY_STATUS": "1",
 *      "SY_CREATEUSERID": "HeRyydYjKz819ZLq9dw",
 *      "SY_GROUP_COMPANY_ID": "ROOT",
 *      "BD_ZYFF_ID": "f7f191e1ccb447b8821ed34029b0044e",
 *      "ZBSJ_FBFXMC": "第一排（重点）",
 *      "ZBSJ_FBFXID": "LcFrqZZe4qdmbIJKLlN",
 *      "ZBSJ_D_TYPE": "01",
 *      "ZBSJ_D_TYPE_NAME": "平面与高程",
 *      "BD_ZBSJ_ID": "7fd03e2e1e084d7980946b801184cc1e",
 *      "SY_CREATEORGNAME": "北斗",
 *      "SY_CREATETIME": "2024-11-01 10:45:08",
 *      "SY_ORG_ID": "systemdepartment"
 *  }
 */
@Keep
data class LoftingPointBean(
    val ZBSJ_D_NAME: String, //点名称
    val BD_ZYLBMX_ID: String, //放样点ID
    val ZBSJ_FYZB_X: String,
    val ZBSJ_FYZB_Y: String,
    val ZBSJ_FYZB_Z: String
)
