package com.project.survey.ui.approval.adapter

import android.content.Context
import android.view.ViewGroup
import com.chad.library.adapter4.BaseQuickAdapter
import com.chad.library.adapter4.viewholder.QuickViewHolder
import com.project.survey.R
import com.project.survey.model.ApprovalBean

class ApprovalWebAdapter : BaseQuickAdapter<ApprovalBean, QuickViewHolder>() {

    override fun onBindViewHolder(holder: QuickViewHolder, position: Int, item: ApprovalBean?) {
        if (item == null) return
        holder.setText(R.id.tvTitle, item.title)
            .setText(R.id.tvContent, item.context)
    }

    override fun onCreateViewHolder(
        context: Context,
        parent: ViewGroup,
        viewType: Int
    ): QuickViewHolder {
        return QuickViewHolder(R.layout.item_approval_web, parent)
    }
}