package com.project.survey.ui.controlnet.adapter

import android.content.Context
import android.view.ViewGroup
import com.chad.library.adapter4.BaseQuickAdapter
import com.chad.library.adapter4.viewholder.QuickViewHolder
import com.project.survey.R
import com.project.survey.model.ControlNetCGBean
import com.project.survey.model.FirstControlNetworkBean

class ControlNetFirstAdapter : BaseQuickAdapter<FirstControlNetworkBean, QuickViewHolder>() {

    override fun onBindViewHolder(
        holder: QuickViewHolder,
        position: Int,
        item: FirstControlNetworkBean?
    ) {
        if (item == null) return
        holder.setText(R.id.tvPointName, item.values.KZWZBCG_POINTNAME)
            .setText(R.id.tvX, item.values.KZWZBCG_XCOORDINATE)
            .setText(R.id.tvY, item.values.KZWZBCG_YCOORDINATE)
            .setText(R.id.tvZ, item.values.KZWZBCG_HCOORDINATE)
            .setText(R.id.tvTime, item.values.KZW_MEASUREMENTTIME)
            .setText(R.id.tvRemark, item.values.KZWZBCG_BZ)
    }

    override fun onCreateViewHolder(
        context: Context,
        parent: ViewGroup,
        viewType: Int
    ): QuickViewHolder {
        return QuickViewHolder(R.layout.item_control_net_first, parent)
    }
}