package com.project.survey.ui.instrument.mobilestationmode.adapter;

import android.content.Context;
import android.content.Intent;

import com.bingce.coordlib.model.CoordinateSystem;
import com.bingce.data.database.ProjectDb;
import com.bingce.device.ui.adapter.AbstractMatchingPointRecyclerViewAdapter;
import com.project.survey.ui.instrument.mobilestationmode.base.RtkMatchingPointsActivity;

public class MatchingPointRecyclerViewAdapter extends AbstractMatchingPointRecyclerViewAdapter {
    public MatchingPointRecyclerViewAdapter(Context context, CoordinateSystem coordinateSystem) {
        super(context, coordinateSystem);
    }

    @Override
    protected void startRtkMatchingPointsActivity(Context context, int position) {
        Intent intent = new Intent(context, RtkMatchingPointsActivity.class);
        intent.putExtra("position", position);
        context.startActivity(intent);
    }

    @Override
    protected void save(CoordinateSystem coordinateSystem) {
        ProjectDb.getInstance().updateCurrentCoordinator(coordinateSystem);
    }
}
