package com.project.survey.ui.instrument.mobilestationmode.rover;

import android.os.Bundle;

import androidx.annotation.Keep;
import androidx.fragment.app.Fragment;

@Keep
public class GeoRtkRoverSettingActivity extends RtkRoverSettingActivity {

    @Override
    public void initUiSetting(Fragment fragment) {
        Bundle bundle = new Bundle();
        bundle.putBoolean("supportRadioFrequency", true);
        bundle.putBoolean("supportRadioInterval", true);
        bundle.putBoolean("supportRadioForeCorrect", true);
        bundle.putBoolean("supportRadioPowerMode", true);
        bundle.putBoolean("supportGGAUploadInterval", true);
        bundle.putBoolean("supportAutoConnect", true);
        bundle.putBoolean("supportPPK", true);
        bundle.putBoolean("supportApnSetting", true);
        bundle.putBoolean("supportSatelliteSystem", false);
        bundle.putBoolean("supportGsmBand", true);
        fragment.setArguments(bundle);
    }
}
