package com.project.survey.ui.instrument.setupstation.util;

import android.content.Context;

import com.bingce.TimeCount;
import com.bingce.data.database.KeyValueDb;
import com.bingce.data.surveyor.designdata.kv.KeyValueConstants;
import com.bingce.data.surveyor.designdata.kv.KeyValueRecord;

import java.io.File;

public class MigrationCeliangyuanFolderDataUtils {
    static boolean collectFromCeliangyuanFolder(
            Context appCompatActivity, File celiangyuanFolder, CollectLocalDataInAppStartFirstTimeUtil.ILog log, TimeCount.ITimeCounter timeCounter) {
        log.log("读取测量员目录下数据");
        if (!ProjectDbUtils.collect(appCompatActivity, celiangyuanFolder, log, timeCounter)) {
            return false;
        }
        //生成收集标识
        if (!CollectLocalDataInAppStartFirstTimeUtil.generatorCollectedFile(celiangyuanFolder)) {
            KeyValueDb.getInstance().save(new KeyValueRecord(CollectLocalDataInAppStartFirstTimeUtil.GENERATOR_COLLECTED_FILE_FAILURE
                    , KeyValueConstants.VALUE_YES));
        }
        return true;
    }
}
