package com.project.survey.ui.lofting.pointlofting.record.util;

import androidx.recyclerview.widget.RecyclerView;

import com.bingce.data.base.user.UserConfig;
import com.project.survey.ui.lofting.pointlofting.record.RecordsActivity;

import java.util.Date;

public interface IRecordsUtils {
    void update(RecyclerView recyclerView, boolean ascOrder,//asc升序 des，降序
                UserConfig userConfig,
                String currentProjectId, String currentJobId, String currentRoadId,
                RecordsActivityFilterParameter parameter);
    void update(RecyclerView recyclerView, boolean ascOrder,//asc升序 des，降序
                String currentProjectId, String currentJobId,
                RecordsActivityFilterParameter parameter);

    void clearInWorkerThread(RecordsActivityFilterParameter parameter, Runnable completeCallback);

    void exportRecord2ExcelAsync(final String name, boolean ascOrder,//asc升序 des，降序
                                 final RecordsActivityFilterParameter filterParameter,
                                 final RecordsActivityHeaders headers, boolean isExportRtkStatus, boolean isExportHr,
                                 final RecordsActivity.IExportSuccess exportSuccess);

    void deleteSingleRecordInWorkerThread(String recordId);

    String name();

    RecordDetailData findRecordDetailInWorkerThread(String recordId);

    RecordDetailData findOtherRecordDetailInWorkerThread(String projectId, String jobId, Date date, boolean nextOrLast);

    RecordDetailData updateRemarksInWorkerThread(String recordId, String remarks);
}
