package com.project.survey.model

import androidx.annotation.Keep

/**
 * {
 *     "KZW_TYPE_CODE": "01",
 *     "SY_CREATEUSERID": "c1c843dd971f416da307f5fefa9d782e",
 *     "KZW_TYPE_NAME": "首级",
 *     "SY_GROUP_COMPANY_ID": "",
 *     "SY_COMPANY_ID": "V1R0gp2zJ3SvGFNvJdM",
 *     "SY_CREATEUSERNAME": "zlh",
 *     "BD_KZWZBCG_ID": "7a1a698ef08d4dd8b6a742fa63297764",
 *     "BD_KZW_ID": "",
 *     "SY_ORG_ID": "systemdepartment",
 *     "KZW_MEASUREMENTTIME": "2024-09-06 16:22:55",
 *     "KZWZBCG_BZ": "",
 *     "KZWZBCG_YCOORDINATE": "1",
 *     "KZWZBCG_VERSION": "",
 *     "KZWZBCG_HCOORDINATE": "1",
 *     "KZWZBCG_XCOORDINATE": "1",
 *     "BD_XMXX_ID": "",
 *     "KZW_NAME": "首级控制网1",
 *     "KZWZBCG_POINTNAME": "测点1"
 * }
 */
@Keep
data class ControlNetCGBean(
    val BD_KZWZBCG_ID: String, //主键
    val KZW_NAME: String, //控制网名称
    val BD_XMXX_ID: String, //项目ID
    val KZWZBCG_BZ: String, //备注
    val KZWZBCG_POINTNAME: String, //点坐标
    val KZWZBCG_XCOORDINATE: String, //x坐标
    val KZWZBCG_YCOORDINATE: String, //y坐标
    val KZWZBCG_HCOORDINATE: String, //h坐标
    val KZWZBCG_VERSION: String, //版本号
    val KZW_MEASUREMENTTIME: String //施测时间
)

@Keep
data class FirstControlNetworkBean(
    val values: ControlNetCGBean
)
