package com.project.survey.model;

import androidx.annotation.ColorInt;
import androidx.annotation.Keep;

@Keep
public class TextStyleBean {
    private String text;
    private float textSize;
    @ColorInt
    private int textColor;

    @ColorInt
    private int background;

    public TextStyleBean(@ColorInt int background) {
        this.background = background;
    }

//    public TextStyleBean(String text, float textSize, @ColorInt int textColor, @ColorInt int background) {
//        this.text = text;
//        this.textSize = textSize;
//        this.textColor = textColor;
//        this.background = background;
//    }

    public TextStyleBean(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public float getTextSize() {
        return textSize;
    }

    public void setTextSize(float textSize) {
        this.textSize = textSize;
    }

    @ColorInt
    public int getTextColor() {
        return textColor;
    }

//    public void setTextColor(@ColorInt int textColor) {
//        this.textColor = textColor;
//    }

    @ColorInt
    public int getBackground() {
        return background;
    }

//    public void setBackground(@ColorInt int background) {
//        this.background = background;
//    }
}