package com.project.survey.network

enum class ERROR(val code: Int, val err: String) {
    /**
     * 未知错误
     */
    UNKNOWN(1000, "未知错误"),

    /**
     * Token过期，身份认证失效
     */
    AUTH_ERROR(401, "身份认证失效"),
    PATH_ERROR(404, "接口路径错误"),
    /**
     * 服务器异常
     */
    SERVER_ERROR(500, "Server Error"),
    BAD_GATEWAY(502, "Bad Gateway"),

    ;


}