package com.project.survey.network

import androidx.annotation.Keep
import java.lang.Exception

/**
 * Name: ResponseThrowable
 * Author: chenglifeng
 */
@Keep
data class ResponseThrowable(
    var code: Int,
    var msg: String,
    val e: Throwable? = null
) : Exception(e) {

    constructor(error: ERROR, e: Throwable? = null) : this(error.code, e?.message ?: error.err, e)


//    constructor(error: ERROR, e: Throwable? = null) : super(e) {
//        code = error.code
//        errMsg = error.err
//        data = error.err
//    }
//
//    constructor(code: Int, msg: String, e: Throwable? = null) : super(e) {
//        this.code = code
//        this.errMsg = msg
//        this.data = msg
//    }
//
//    constructor(base: IBaseResponse<*>, e: Throwable? = null) : super(e) {
//        this.code = base.code()
//        this.errMsg = base.msg()
//        this.data = if (base.data() == null) null else base.data() as String
//    }
}