package com.project.survey.ui.controlnet.adapter

import android.content.Context
import android.view.ViewGroup
import com.chad.library.adapter4.BaseQuickAdapter
import com.chad.library.adapter4.viewholder.QuickViewHolder
import com.project.survey.R
import com.project.survey.model.ControlNetworkBean

class SpecialControlNetworkAdapter : BaseQuickAdapter<ControlNetworkBean, QuickViewHolder>() {

    override fun onBindViewHolder(
        holder: QuickViewHolder,
        position: Int,
        item: ControlNetworkBean?
    ) {
        if (item == null) return

        holder.setText(R.id.tvName, item.KZW_NAME)
            .setText(R.id.tvLevel, item.KZW_TYPE_NAME)
            .setText(R.id.tvTime, item.KZW_MEASUREMENTTIME)
    }

    override fun onCreateViewHolder(
        context: Context,
        parent: ViewGroup,
        viewType: Int
    ): QuickViewHolder {
        return QuickViewHolder(R.layout.item_special_control_network, parent)
    }
}