package com.project.survey.ui.instrument.mobilestationmode.base;

import android.os.Bundle;

import androidx.annotation.Keep;
import androidx.fragment.app.Fragment;

@Keep
public class ComnavRtkBaseSettingActivity extends RtkBaseSettingActivity {

    @Override
    public void initUiSetting(Fragment fragment) {
        Bundle bundle = new Bundle();
        bundle.putBoolean("supportRadioFrequency", true);
        bundle.putBoolean("supportRadioInterval", false);
        bundle.putBoolean("supportRadioForeCorrect", false);
        bundle.putBoolean("supportRadioPowerMode", true);
        bundle.putBoolean("supportAutoStart", false);
        bundle.putBoolean("supportEnablePPK", true);
        bundle.putBoolean("supportAutoConnect", false);
        bundle.putBoolean("supportPdopThreshold", false);
        bundle.putBoolean("supportSatelliteSystem", false);
        bundle.putBoolean("supportApnSetting", false);
        bundle.putBoolean("supportGsmBand", false);
        bundle.putBoolean("supportExtRadioBaud", true);
        bundle.putBoolean("supportDelayStart", false);
        fragment.setArguments(bundle);
    }
}
