package com.project.survey.ui.instrument.setupstation;

import com.bingce.BaseApp;
import com.bingce.coordlib.model.Blh;
import com.bingce.rtk.model.GnssPosition;
import com.bingce.utils.Util;
import com.project.survey.util.CommonUtils;

import net.tatans.tensorflowtts.tts.TtsManager;

import blankj.utilcode.util.Utils;
import cn.leancloud.types.LCGeoPoint;
import cn.liuyanbing.surveyor.model.util.CUtil;

public class BingCeBaseSurveyPresenter {
    public static void hideSoftKey() {
        CommonUtils.hideSoftInput();
    }

    public static void speak(String string) {
        TtsManager.getInstance().speak(string);
    }

    public static void updateLastRTKLocation() {
        if (((BaseApp) Utils.getApp()).avGeoPoint == null && GnssPosition.getInstance().validate) {
            Blh blh = GnssPosition.getInstance().getWgs84Blh();
            if (!CUtil.isEqual(blh.getLatitude(), 0) && !CUtil.isEqual(blh.getLongitude(), 0)) {
                ((BaseApp) Utils.getApp()).avGeoPoint = new LCGeoPoint(blh.getLatitude(), blh.getLongitude());
                ((BaseApp) Utils.getApp()).lastRTKLocation = ((BaseApp) Utils.getApp()).avGeoPoint.getLatitude() + "," + ((BaseApp) Utils.getApp()).avGeoPoint.getLongitude();
                Util.putPreference("lastRTKLocation", ((BaseApp) Utils.getApp()).lastRTKLocation);
            }
        }
    }

    public static boolean checkRegister() {
        return true;
    }


    public static int volumeUpAction() {
//        return ((App) Utils.getApp()).volumeUpAction;
        return 0;
    }

    public static int volumeDownAction() {
//        return ((App) Utils.getApp()).volumeDownAction;
        return 0;
    }
}
