package com.project.survey.ui.instrument.setupstation;

import android.content.Intent;

import com.bingce.device.ui.totalstation.AbstractSetupStationResectionActivity;
import com.bingce.surveyor.agentweb.AgentWebActivity;
import com.project.survey.App;

import blankj.utilcode.util.Utils;

public class SetupStationResectionActivity extends AbstractSetupStationResectionActivity {
    @Override
    protected void openHelpWeb() {
//        Intent intent = new Intent(Utils.getApp(), AgentWebActivity.class);
//        intent.putExtra("short_url", "android_url_activity_setup_station_resection_help");
//        startActivity(intent);
        AgentWebActivity.navigation2(this, "android_url_activity_setup_station_resection_help");
    }

    @Override
    protected boolean isThemeDark() {
        return App.instance.isThemeDark();
    }

    @Override
    protected void initData() {

    }

    @Override
    protected void hideSoftKey() {
        BingCeBaseSurveyPresenter.hideSoftKey();
    }

    @Override
    protected void speak(String string) {
        BingCeBaseSurveyPresenter.speak(string);
    }

    @Override
    protected void updateLastRTKLocation() {
        BingCeBaseSurveyPresenter.updateLastRTKLocation();
    }

    @Override
    protected boolean checkRegister() {
        return BingCeBaseSurveyPresenter.checkRegister();
    }

    @Override
    protected int volumeUpAction() {
        return BingCeBaseSurveyPresenter.volumeUpAction();
    }

    @Override
    protected int volumeDownAction() {
        return BingCeBaseSurveyPresenter.volumeDownAction();
    }

    @Override
    protected void startSetupStationResectionSubActivity() {
        startActivityForResult(new Intent(Utils.getApp(), SetupStationResectionSubActivity.class), 30);
    }
}
