package com.project.survey.ui.instrument.setupstation.db.controlpoint;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity(tableName = Constants.DB_NAME_CONTROL_POINT)
public class ControlPointItem {
    @NonNull
    @PrimaryKey
    public String id;

    @ColumnInfo(name = "point_name")
    public String pointName;

    @ColumnInfo(name = "project_id")
    public String projectId;

    @ColumnInfo(name = "x")
    public double X;

    @ColumnInfo(name = "y")
    public double Y;

    @ColumnInfo(name = "z")
    public double Z;
}
