package com.project.survey.ui.instrument.setupstation.db.resultformat;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;
import androidx.room.TypeConverters;

import com.bingce.data.converter.DateConverter;

@Entity(tableName = FormatConstants.DB_NAME)
@TypeConverters(DateConverter.class)
public class FormatRecord {

    @PrimaryKey
    @NonNull
    @ColumnInfo(name = "id")
    public String id;

    @ColumnInfo(name = "format_name")
    public String format_name;

    @ColumnInfo(name = "format_content")
    public String format_content;

    @ColumnInfo(name = "divided_symbols")
    public String divided_symbols;

    @ColumnInfo(name = "file_suffix")
    public int file_suffix;

    @ColumnInfo(name = "file_header")
    public boolean file_header;

    @ColumnInfo(name = "angle_format")
    public int angle_format;

}
