package com.project.survey.ui.lofting.adapter

import android.content.Context
import android.view.ViewGroup
import com.chad.library.adapter4.BaseQuickAdapter
import com.chad.library.adapter4.viewholder.QuickViewHolder
import com.project.survey.R
import com.project.survey.model.LoftingBean

class LoftingListAdapter : BaseQuickAdapter<LoftingBean, QuickViewHolder>() {

    override fun onBindViewHolder(holder: QuickViewHolder, position: Int, item: LoftingBean?) {
        if (item == null)
            return
        holder.setText(R.id.tvWorkName, item.ZYLB_ZY_NAME)
            .setText(R.id.tvWorkDesc, item.ZYLB_ZYMS)
            .setText(R.id.tvCreateTime, item.SY_CREATETIME)
            .setText(R.id.tvProjectName, "")
            .setText(R.id.tvSurveyor, item.ZYLB_CLY)
    }

    override fun onCreateViewHolder(
        context: Context,
        parent: ViewGroup,
        viewType: Int
    ): QuickViewHolder {
        return QuickViewHolder(R.layout.item_lofting_list, parent)
    }
}