package com.project.survey.ui.lofting.pointlofting.record.util;

import android.content.Context;

import androidx.appcompat.app.AppCompatActivity;

import com.bingce.device.ui.dialog.DialogUtil;
import com.bingce.list.SwipeDeletePagingListLayoutHelper;
import com.bingce.utils.AppCompatActivityProviderUtils;
import com.bingce.utils.IProvider;
import com.bingce.utils.ThreadPoolUtil;
import com.project.survey.R;


abstract class AbstractListUtils extends AppCompatActivityProviderUtils implements IRecordsUtils {

    AbstractListUtils(IProvider<AppCompatActivity> activityIProvider) {
        super(activityIProvider);
    }

    protected void requestDelete(Context context, int index, String recordId, SwipeDeletePagingListLayoutHelper.IOnDeleteListener listener) {
        DialogUtil.mNullCancelAlertDialog(context, null, R.string.confirm_delete, (dialogInterface, i) -> {
            ThreadPoolUtil.execute(() -> {
                deleteSingleRecordInWorkerThread(recordId);
            });
            listener.completeDelete(index);
        });
    }
}
