package com.project.survey.ui.lofting.pointlofting.record.util;

import androidx.annotation.Nullable;

import com.bingce.data.DeviceInfoData;

import java.util.Date;
import java.util.LinkedHashMap;

public class RecordDetailData {
    public final String recordId;
    public final LinkedHashMap<String, String> keyValueMap;
    @Nullable
    public final DeviceInfoData deviceInfoData;
    public final Date date;
    public final String remarks;

    public RecordDetailData(String recordId, LinkedHashMap<String, String> keyValueMap, @Nullable DeviceInfoData deviceInfoData, Date date, String remarks) {
        this.recordId = recordId;
        this.keyValueMap = keyValueMap;
        this.deviceInfoData = deviceInfoData;
        this.date = date;
        this.remarks = remarks;
    }
}
