package com.project.survey.ui.lofting.pointlofting.record.util;

import android.graphics.Color;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;


import com.project.survey.App;
import com.project.survey.databinding.RecyclerviewItemRecordsBinding;

import blankj.utilcode.util.Utils;

public class RecordItemVH extends RecyclerView.ViewHolder {
    public final RecyclerviewItemRecordsBinding itemBinding;

    public RecordItemVH(@NonNull RecyclerviewItemRecordsBinding binding) {
        super(binding.getRoot());
        this.itemBinding = binding;
    }

    public void doBinder(RecyclerViewItemData instance) {
        itemBinding.recyclerviewItemSwipeRecordTitle1.setText(instance.title1);
        itemBinding.recyclerviewItemSwipeRecordTitle2.setText(instance.title2);
        itemBinding.recyclerviewItemSwipeRecordBody1.setText(instance.body1);
        itemBinding.recyclerviewItemSwipeRecordBody2.setText(instance.body2);
        itemBinding.recyclerviewItemSwipeRecordBody3.setText(instance.body3);
        itemBinding.recyclerviewItemSwipeRecordBody4.setText(instance.body4);
        itemBinding.recyclerviewItemSwipeRecordBody5.setText(instance.body5);
        if (App.instance.isThemeDark()) {
            itemBinding.sll.getShapeDrawableBuilder().setSolidColor(Color.GRAY).intoBackground();
        }else {
            itemBinding.sll.getShapeDrawableBuilder().setSolidColor(Color.WHITE).intoBackground();
        }
    }
}
