package com.project.survey.ui.login

import com.project.survey.ui.base.BaseBindingActivity
import com.project.survey.databinding.ActivitySetNewPwdBinding
import com.project.survey.util.ActivityNavUtil

/**
 * 设置新密码
 */
class SetNewPwdActivity : BaseBindingActivity<ActivitySetNewPwdBinding>() {

    companion object {
        const val VERIFY_CODE = "verifyCode"

        fun start(verifyCode: String) {
            ActivityNavUtil.startActivity<SetNewPwdActivity> {
                putString(VERIFY_CODE, verifyCode)
            }
        }
    }

    override fun getBinding(): ActivitySetNewPwdBinding =
        ActivitySetNewPwdBinding.inflate(layoutInflater)

    private var verifyCode: String = ""

    override fun initView() {
        immersionToolbar(mBinding.toolbar)

        verifyCode = intent.getStringExtra(VERIFY_CODE) ?: ""
    }

    override fun initData() {

    }

    override fun initListener() {

    }

}