package com.project.survey.ui.pointmeasure.measure.util;


import com.project.survey.R;

public class CodeConsUtils {

    public final static int SHAPE_CIRCLE_FULL = 0;
    public final static int SHAPE_CIRCLE_EMPTY = SHAPE_CIRCLE_FULL + 1;
    public final static int SHAPE_SQUARE_FULL = SHAPE_CIRCLE_EMPTY + 1;
    public final static int SHAPE_SQUARE_EMPTY = SHAPE_SQUARE_FULL + 1;
    public final static int SHAPE_TRIANGLE_UP_FULL = SHAPE_SQUARE_EMPTY + 1;
    public final static int SHAPE_TRIANGLE_UP_EMPTY = SHAPE_TRIANGLE_UP_FULL + 1;
    public final static int SHAPE_TRIANGLE_DOWN_FULL = SHAPE_TRIANGLE_UP_EMPTY + 1;
    public final static int SHAPE_TRIANGLE_DOWN_EMPTY = SHAPE_TRIANGLE_DOWN_FULL + 1;
    public final static int SHAPE_RHOMBUS_FULL = SHAPE_TRIANGLE_DOWN_EMPTY + 1;
    public final static int SHAPE_RHOMBUS_EMPTY = SHAPE_RHOMBUS_FULL + 1;
    public final static int SHAPE_ROUNDED_FIVE_STAR = SHAPE_RHOMBUS_EMPTY + 1;
    public final static int SHAPE_STRAIGHT_FIVE_STAR = SHAPE_ROUNDED_FIVE_STAR + 1;
    public  final static int SHAPE_CENTER_CIRCLE = SHAPE_STRAIGHT_FIVE_STAR + 1;

    public static int showPointIcon(int index){
        int showIcon = SHAPE_CIRCLE_FULL;
        switch (index){
            case SHAPE_CIRCLE_FULL:
                showIcon = R.drawable.icon_code_circle_full;
                break;
            case SHAPE_CIRCLE_EMPTY:
                showIcon = R.drawable.icon_code_circle_empty;
                break;
            case SHAPE_SQUARE_FULL:
                showIcon = R.drawable.icon_code_square_full;
                break;
            case SHAPE_SQUARE_EMPTY:
                showIcon = R.drawable.icon_code_square_empty;
                break;
            case SHAPE_TRIANGLE_UP_FULL:
                showIcon = R.drawable.icon_code_triangle_up_full;
                break;
            case SHAPE_TRIANGLE_UP_EMPTY:
                showIcon = R.drawable.icon_code_triangle_up_empty;
                break;
            case SHAPE_TRIANGLE_DOWN_FULL:
                showIcon = R.drawable.icon_code_triangle_down_full;
                break;
            case SHAPE_TRIANGLE_DOWN_EMPTY:
                showIcon = R.drawable.icon_code_triangle_down_empty;
                break;
            case SHAPE_RHOMBUS_FULL:
                showIcon = R.drawable.icon_code_rhombus_full;
                break;
            case SHAPE_RHOMBUS_EMPTY:
                showIcon = R.drawable.icon_code_rhombus_empty;
                break;
            case SHAPE_ROUNDED_FIVE_STAR:
                showIcon = R.drawable.icon_code_rounded_five_star;
                break;
            case SHAPE_STRAIGHT_FIVE_STAR:
                showIcon = R.drawable.icon_code_straight_five_star;
                break;
            case SHAPE_CENTER_CIRCLE:
                showIcon = R.drawable.icon_code_center_circle;
                break;

        }
        return showIcon;
    }

    public final static int SHAPE_TYPE_POINT = 0;
    public final static int SHAPE_TYPE_LINE = SHAPE_TYPE_POINT + 1;
    public final static int SHAPE_TYPE_SURFACE = SHAPE_TYPE_LINE + 1;
}
