package com.project.survey.ui.project.adapter

import android.content.Context
import android.view.ViewGroup
import com.chad.library.adapter4.BaseQuickAdapter
import com.chad.library.adapter4.viewholder.QuickViewHolder
import com.project.survey.R
import com.project.survey.model.ProjectBean

class ProjectListAdapter : BaseQuickAdapter<ProjectBean, QuickViewHolder>() {
    override fun onBindViewHolder(holder: QuickViewHolder, position: Int, item: ProjectBean?) {

        item?.let { bean ->
            holder.setText(R.id.tvProjectName, bean.XMXX_NAME)
                .setText(R.id.tvProjectNum, bean.XMXX_CODE)
//                .setText(R.id.tvProjectArea, "上海市长宁区")
        }
    }

    override fun onCreateViewHolder(
        context: Context,
        parent: ViewGroup,
        viewType: Int
    ): QuickViewHolder {
        return QuickViewHolder(R.layout.item_project_list, parent)
    }
}