package com.project.survey.util

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import blankj.utilcode.util.ActivityUtils

object ActivityNavUtil {

    inline fun <reified T : AppCompatActivity> startActivity(block: Bundle.() -> Unit) {
        ActivityUtils.startActivity(Bundle().apply(block), T::class.java)
    }

    inline fun <reified T : AppCompatActivity> finishActivity(){
        ActivityUtils.finishActivity(T::class.java)
    }

    fun finishAllActivities(){
        ActivityUtils.finishAllActivities()
    }
}