package com.project.survey.util;

import android.graphics.drawable.Drawable;

import androidx.annotation.ColorRes;
import androidx.annotation.DrawableRes;
import androidx.annotation.StringRes;
import androidx.core.content.ContextCompat;

import blankj.utilcode.util.Utils;

public class Tools {
    public static int getColor(@ColorRes int color) {
        return ContextCompat.getColor(Utils.getApp(), color);
    }

    public static Drawable getDrawable(@DrawableRes int res) {
        return ContextCompat.getDrawable(Utils.getApp(), res);
    }

    public static String getString(@StringRes int res) {
        return Utils.getApp().getString(res);
    }

    public static String getString(@StringRes int res, Object... formatArgs) {
        return Utils.getApp().getString(res, formatArgs);
    }
}
