package com.project.survey.widget.bingce.dragdrop;

import androidx.annotation.Keep;

@Keep
public class FunctionItem {

    public String id;
    public String name;
    public String tip;
    public boolean isSelect = false;
    public String imageUrl = "";
    public String background ="";
    public boolean isTitle = false;
    public int subItemCount = 0;

    public FunctionItem(String name, boolean isSelect, String imageUrl, String background) {
        this.name = name;
        this.tip = tip;
        this.isSelect = isSelect;
        this.imageUrl = imageUrl;
        this.background = background;
    }

    public FunctionItem(String name,String tip,boolean isTitle,int subItemCount){
        this.name = name;
        this.tip = tip;
        this.isTitle = isTitle;
        this.subItemCount = subItemCount;
    }

    public FunctionItem(String name,String tip,boolean isTitle){
        this.name = name;
        this.tip = tip;
        this.isTitle = isTitle;
    }

}
